WAB Import from non-wab-created-zip

2433
7
12-28-2015 11:47 AM
BrianO_keefe
Regular Contributor II

So (don't ask) all WAB Created Versions of a Web App I just built have been deleted. They were SUPPOSED to be downloaded, but something went wrong and wasn't caught. SO... I have already put a working copy of this webapp on our server and it's working fine. BUT... I would like to be able to edit it and update as needed.

Is there anyway to bring an app from a working server INTO the WAB 1.3?

Tags (2)
0 Kudos
7 Replies
RobertScheitlin__GISP
MVP Esteemed Contributor

Brain,

   You should be able to zip it and then import it back into WAB Dev (I have not tried it personally).

BrianO_keefe
Regular Contributor II

It keeps giving me 'Invalid App' error messages. I did that, thinking the same thing you said but nope.

0 Kudos
AravindStoryMaps
Esri Regular Contributor

Hi Brain,

To Import an existing web app from your Server to WAB 1.3, this is what you do. Choose the zip file of the folder in your web server as Robert mentioned and import it into the WAB account. It has to have the same credentials of the account that was used to download the app from.

Thanks,

Aravind

0 Kudos
BrianO_keefe
Regular Contributor II

That's what I was saying.

I created Web App in WAB 1.2 on my desktop.

I DOWNLOAD Web App from WAB 1.2 on my desktop.

I placed Web App on server.

Web App works great.

-- something happened to all development copies --

DOWNLOAD Web App from server.

ZIP entire structure to ZIP file.

Try to import.

Nada...

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Brain,

   Are you trying to import it back into 1.2 or 1.3? Do you have any custom widgets in the app?

0 Kudos
AravindStoryMaps
Esri Regular Contributor

Brain,

   Are you trying to import it back into 1.2 or 1.3?

DOWNLOAD Web App from server.

ZIP entire structure to ZIP file.

Try to import.

Nada...

1. It is possible to import a 1.2 version web app into WAB 1.3 because the app automatically upgrades itself.

2. I was able to reproduce this issue only when I imported a zip file that didn't have contents of the WAB in it at all. E.g: some random zip file from my computer.

Do you have any custom widgets in the app?

This is where I think the issue is. Some form of inequivalent theme/widget/credentials that the web app used that doesn't match WAB 1.3 version that you have.

0 Kudos
MichaelRobb
Regular Contributor II

Hi,

Below is just a random run down of possibles to help narrow the issue:

Are we confident the apps are deleted?

the apps are not here ?: c:xxx\arcgis-web-appbuilder-1.2\server\apps

Or in here: server\apps\zips

Custom apps is one possibility.

the other is:

I also know that this is a bug for 1.2  perhaps still exists for 1.3?

Simply downloading an existing app.. unzipping, then rezipping and try Import ... will not work.

In the past I had tried simply creating a new app... do Nothing to it .. save it.. download it... unzip it..do nothing to it.. rezip it (its root directory) and it will fail to import throwing an 'Invalid App' prompt. - from custom widgets being installed in steapp ? not confirmed.

0 Kudos